Bug 3202 - Creating new "child" category patrons - library not defaulting to the correct branch
Summary: Creating new "child" category patrons - library not defaulting to the correct...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Ian Walls
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-05-07 10:15 UTC by Chris Cormack
Modified: 2013-12-05 19:53 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:07:37 UTC


---- Reported by bchurch@ptfs.com 2009-05-07 22:15:39 ----

When staff create new patron records and choose a patron category code linked to any other category type except "Child", the library field always defaults to the library where the staff member logged on. For example, if a staff member logged on to Koha at the South library branch, Koha should always default to the South library branch when staff create a new patron record. This is not happening if staff choose a patron category code linked to the "Child" category type. It works correctly for codes linked to all other category types (Adult, Organisational, Professional, Statistical).



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:07 UTC  ---

This bug was previously known as _bug_ 3202 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3202

Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was bchurch@ptfs.com.
CC member adrea@moablibrary.org does not have an account here

Comment 1 Ian Walls 2011-04-21 21:03:25 UTC
Confirming this is still present in current HEAD
Comment 2 Chris Cormack 2011-04-26 08:38:47 UTC
Patch pushed, please test
Comment 3 Jared Camins-Esakov 2012-05-23 12:05:43 UTC
Seems to be working. Please reopen if there's a problem.